Had 3.0x locked by accident. Can I upgrade to 3.12?

Printable View